.386
.model flat,stdcall
option casemap:none

include		\LEMKE\MyDefs.inc
include		\LEMKE\MyEqus.inc
include		\LEMKE\MyStructs.inc
include		\LEMKE\MyProtos.inc

includelib	\LEMKE\Lib\kernel32.lib
includelib	\LEMKE\Lib\user32.lib
includelib	\LEMKE\Lib\comdlg32.lib

.data

szBMP		BYTE	"bmp",0
szRotationFile	BYTE	"BMP",0,"*.bmp",0,0
szEdit		BYTE	"EDIT",0
szMultipleOpen	BYTE	"MULTIPLEOPEN",0

.data?

szOpenSaveFile	BYTE		1024 dup(?)
OpenSaveBitmap	OPENFILENAME	<>
hwndParent	DWORD		?
hwndlistbox	DWORD		?
EditID		DWORD		?
Win32_Find_Data	WIN32_FIND_DATA	<>
GoodBad		DWORD		?
hHeap		DWORD		?
lpMultipleFiles	DWORD		?

.const

IDC_ADD			equ	3072
IDC_ADDALL		equ	3073
IDC_REMOVE		equ	3074
IDC_REMOVEALL		equ	3075
IDC_OK			equ	3076
IDC_CANCEL		equ	3077
IDC_MULTIPLEOPEN	equ	3078

.code

Start:

	INVOKE	GetProcessHeap	;kernel32.dll

	mov	hHeap,eax

	INVOKE	GetModuleHandle,NULL								;kernel32.dll

	mov	OpenSaveBitmap.lStructSize,76
	mov	OpenSaveBitmap.nMaxFile,1024
	mov	OpenSaveBitmap.hInstance,eax
	lea	edx,szBMP
	mov	OpenSaveBitmap.lpstrDefExt,edx
	lea	edx,szRotationFile
	mov	OpenSaveBitmap.lpstrFilter,edx
	lea	edx,szOpenSaveFile
	mov	OpenSaveBitmap.lpstrFile,edx
	mov	OpenSaveBitmap.Flags,OFN_FILEMUSTEXIST or OFN_PATHMUSTEXIST or OFN_EXPLORER or OFN_ENABLEHOOK or OFN_ENABLETEMPLATE or OFN_HIDEREADONLY
	mov	OpenSaveBitmap.lpfnHook,OFFSET OFNHookProc
	lea	edx,szMultipleOpen
	mov	OpenSaveBitmap.lpTemplateName,edx

MultipleOpen00000:

	INVOKE	GetOpenFileName,ADDR OpenSaveBitmap		;comdlg32.dll

	cmp	GoodBad,FALSE
	je	MultipleOpen00086

	;Do something with the files here

	INVOKE	HeapFree,hHeap,NULL,lpMultipleFiles	;kernel32.dll

MultipleOpen00086:

	INVOKE	ExitProcess,eax					;kernel32.dll

include	\LEMKE\SkeletonASM\OFNHookProc.asm

END Start